Onerway
POST

Card operation event

Webhook URL
Use this webhook to receive card operation status changes.

Webhook payload fields

request_id
Unique event identifier for deduplication.
event_type
Event type identifier.
Constraints
Values
Fixed to issuing.cardOperateEvent for this webhook.
created_at
Event creation time in ISO 8601 format.
version
Webhook API version selected when the subscription is created.
Card operation event business data.

Webhook example

{
  "request_id": "replace_with_event_id",
  "event_type": "issuing.cardOperateEvent",
  "created_at": "2026-01-01T00:00:00Z",
  "version": "1.0",
  "data": {
    "operateRecordId": 200001,
    "cardId": 100001,
    "clientRequestId": "REQ_20260101_001",
    "type": "DEPOSIT",
    "status": "S",
    "remark": null,
    "amount": 100,
    "currency": "USD",
    "feeList": [
      {
        "feeType": "DEPOSIT",
        "feeAmount": 1,
        "feeCurrency": "USD"
      }
    ]
  }
}

Acknowledgement

Return HTTP 200 with respCode=20000 after the card operation event is received and accepted. Onerway retries when the response code is not 20000.

Response body example

{
  "respCode": "20000",
  "respMsg": "success"
}